hpp-corbaserver: _impl_PathValidation Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_PathValidation Class Referenceabstract

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for _impl_PathValidation:
[legend]
Collaboration diagram for _impl_PathValidation:
[legend]

## Public Member Functions
virtual | ~_impl_PathValidation ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual ::CORBA::Boolean | validate (::hpp::core_idl::Path_ptr p, ::CORBA::Boolean reverse, ::hpp::core_idl::Path_out validPart, ::hpp::core_idl::PathValidationReport_out report)=0
virtual ::CORBA::Boolean | validateConfiguration (const ::hpp::floatSeq &config, ::hpp::core_idl::ValidationReport_out report)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_PathValidation()

virtual _impl_PathValidation::~_impl_PathValidation | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_PathValidation::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

Reimplemented in _impl_PathValidations, _impl_ContinuousValidation, and _impl_Discretized.

## ◆ deleteIfExpired()

virtual ::CORBA::Boolean _impl_PathValidation::deleteIfExpired | ( |  | ) |
| pure virtual

## ◆ deleteThis()

virtual void _impl_PathValidation::deleteThis | ( |  | ) |
| pure virtual

## ◆ persistantStorage()

virtual void _impl_PathValidation::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |
| pure virtual

## ◆ validate()

virtual ::CORBA::Boolean _impl_PathValidation::validate | ( | ::hpp::core_idl::Path_ptr | p,
|  | ::CORBA::Boolean | reverse,
|  | ::hpp::core_idl::Path_out | validPart,
|  | ::hpp::core_idl::PathValidationReport_out | report
| ) |  |
| pure virtual

## ◆ validateConfiguration()

virtual ::CORBA::Boolean _impl_PathValidation::validateConfiguration | ( | const ::hpp::floatSeq & | config,
|  | ::hpp::core_idl::ValidationReport_out | report
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh